import java.util.ArrayList;


public class Circle {

	public int ID;
	public ArrayList <Integer> Nodes;
	public double Threshold;
	
	public Circle(int id, double thr){
		this.ID = id;
		this.Threshold = thr;
		this.Nodes = new ArrayList<Integer>();
	}
	
	public void DeleteCircle(){
		
		this.ID = -1; 
	}
	
	public void AddNode(int nodeID){
		
		this.Nodes.add(Integer.valueOf(nodeID));
		
	}
	
	public void RemoveNode(int nodeID){
		
		int index = this.Nodes.indexOf(Integer.valueOf(nodeID));
		if(index == -1){
			System.out.println("Invalid Remove Node Request : Node :" + nodeID + " Circle:"+ this.ID);
		}
		this.Nodes.remove(index);
		
	}
	
	public Circle Duplicate(){
		
		Circle circle = new Circle(this.ID, this.Threshold);
		circle.Nodes.clear();
		circle.Nodes = new ArrayList<Integer>(this.Nodes);
		return circle;
	}
	
}
